# Uses of Enum Class
java.sql.ClientInfoStatus

Packages that use ClientInfoStatus
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of ClientInfoStatus in java.sql

Methods in java.sql that return ClientInfoStatus
Modifier and Type
Method
Description
`static ClientInfoStatus`
ClientInfoStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientInfoStatus[]`
ClientInfoStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.sql that return types with arguments of type ClientInfoStatus
Modifier and Type
Method
Description
`Map<String,ClientInfoStatus>`
SQLClientInfoException.`getFailedProperties()`
Returns the list of client info properties that could not be set.
Constructor parameters in java.sql with type arguments of type ClientInfoStatus
Modifier
Constructor
Description
``
`SQLClientInfoException(String reason, String SQLState, int vendorCode, Map<String,ClientInfoStatus> failedProperties)`
Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `vendorCode` and `failedProperties`.
``
`SQLClientInfoException(String reason, String SQLState, int vendorCode, Map<String,ClientInfoStatus> failedProperties, Throwable cause)`
Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause`, `vendorCode` and `failedProperties`.
``
`SQLClientInfoException(String reason, String SQLState, Map<String,ClientInfoStatus> failedProperties)`
Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState` and `failedProperties`.
``
`SQLClientInfoException(String reason, String SQLState, Map<String,ClientInfoStatus> failedProperties, Throwable cause)`
Constructs a `SQLClientInfoException` object initialized with a given `reason`, `SQLState`, `cause` and `failedProperties`.
``
`SQLClientInfoException(String reason, Map<String,ClientInfoStatus> failedProperties)`
Constructs a `SQLClientInfoException` object initialized with a given `reason` and `failedProperties`.
``
`SQLClientInfoException(String reason, Map<String,ClientInfoStatus> failedProperties, Throwable cause)`
Constructs a `SQLClientInfoException` object initialized with a given `reason`, `cause` and `failedProperties`.
``
`SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties)`
Constructs a `SQLClientInfoException` object initialized with a given `failedProperties`.
``
`SQLClientInfoException(Map<String,ClientInfoStatus> failedProperties, Throwable cause)`
Constructs a `SQLClientInfoException` object initialized with a given `cause` and `failedProperties`.